Subject: bug#26911: closed (Re: bug#26911: 25.2; eshell "cd .." doesn't work correctly with TRAMP)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 27 Aug 2020 11:47:02 +0000

Your bug report

#26911: 25.2; eshell "cd .." doesn't work correctly with TRAMP

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
26911: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=26911
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#26911: 25.2; eshell "cd .." doesn't work correctly with TRAMP
From: Michael Albinus <[email-masked]>
To: Paul Eggert <[email-masked]>
Cc: [email-masked], Eli Zaretskii <[email-masked]>, [email-masked], Yegor Timoshenko <[email-masked]>
Date: Thu, 27 Aug 2020 13:46:32 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Paul Eggert <[email-masked]> writes:

Hi Paul,

> I ran into the expand-file-name bug outside of Tramp, and fixed it by
> installing the attached patch into Emacs master. I hope it fixes
> Bug#26911 too.
>
> With luck it (or something like it) might even bear on Bug#34834 too,
> so I'll cc this message there. (I don't use MS-Windows or Tramp so am
> not good at testing in those environments.)

I confirm it is fixed for bug#26911, so I close this bug.

Whether it is fixed also for bug#34384 I cannot check due to the lack of
an MS Windows machine.

Best regards, Michael.

Subject: 25.2; eshell "cd .." doesn't work correctly with TRAMP
From: Yegor Timoshenko <[email-masked]>
To: [email-masked]
Date: Sat, 13 May 2017 19:15:30 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Steps to reproduce:

M-x eshell
cd /[email-masked]:/
cd bin
cd ..
pwd

Expected output:

/[email-masked]:

Actual output:

/[email-masked]:/home/user

Reproducible in default Emacs 25.2 install:

In GNU Emacs 25.2.1 (x86_64-apple-darwin13.4.0, NS appkit-1265.21 Version 10.9.5 (Build 13F1911))
 of 2017-04-21 built on builder10-9.porkrind.org
Windowing system distributor 'Apple', version 10.3.1504
Configured using:
 'configure --with-ns '--enable-locallisppath=/Library/Application
 Support/Emacs/${version}/site-lisp:/Library/Application
 Support/Emacs/site-lisp' --with-modules'